Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.avtransport.lastchange
Class AVTransportVariable

    java.lang.Object
      org.teleal.cling.support.avtransport.lastchange.AVTransportVariable

    public class AVTransportVariable

extends Object

Author:
  Christian Bauer

Nested Class Summary
`static class` | `AVTransportVariable.AVTransportURI`
`static class` | `AVTransportVariable.AVTransportURIMetaData`
`static class` | `AVTransportVariable.CurrentMediaDuration`
`static class` | `AVTransportVariable.CurrentPlayMode`
`static class` | `AVTransportVariable.CurrentRecordQualityMode`
`static class` | `AVTransportVariable.CurrentTrack`
`static class` | `AVTransportVariable.CurrentTrackDuration`
`static class` | `AVTransportVariable.CurrentTrackMetaData`
`static class` | `AVTransportVariable.CurrentTrackURI`
`static class` | `AVTransportVariable.CurrentTransportActions`
`static class` | `AVTransportVariable.NextAVTransportURI`
`static class` | `AVTransportVariable.NextAVTransportURIMetaData`
`static class` | `AVTransportVariable.NumberOfTracks`
`static class` | `AVTransportVariable.PossiblePlaybackStorageMedia`
`static class` | `AVTransportVariable.PossibleRecordQualityModes`
`static class` | `AVTransportVariable.PossibleRecordStorageMedia`
`static class` | `AVTransportVariable.RecordMediumWriteStatus`
`static class` | `AVTransportVariable.RecordStorageMedium`
`static class` | `AVTransportVariable.TransportPlaySpeed`
`static class` | `AVTransportVariable.TransportState`
`static class` | `AVTransportVariable.TransportStatus`

Field Summary
`static Set<Class<? extends EventedValue>>` | `ALL`

Constructor Summary
`AVTransportVariable()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALL

    public static Set<Class<? extends EventedValue>> ALL

Constructor Detail

### AVTransportVariable

    public AVTransportVariable()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.